<?
define('PROTECTOR', 1);

$textl='Online Game';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
if ($user_id==0){
include($path.'files/head.php');


$timeout = time() - 150;
$online = mysql_num_rows(mysql_query("SELECT * FROM online WHERE laikas > '$timeout'"));
$asd = mysql_query("SELECT time FROM news ORDER BY id DESC LIMIT 1");
$news = mysql_fetch_array($asd);
$reg = mysql_num_rows(mysql_query("SELECT * FROM users"));

switch($_GET[mod]){
default:

echo'<div class="gameBorder">';
echo'<div class="end" align="center"><img src="pic/12.jpg"/></div>';
echo'<div class="head" align="center"><b>Мир БоГоВ</b></div>';
echo'<div class="menu"><d>Новости: </d></br>';
include ('pnews.php');
echo'';
echo'<br/>';
$req=mysql_query("SELECT * FROM domination WHERE id = '1'");
$dom = mysql_fetch_assoc($req);

$taim = 150;
$date = time();
$timeout = $date - $taim;
$online = mysql_num_rows(mysql_query("SELECT * FROM online WHERE laikas > '$timeout'"));
////////////////
$q = mysql_query("SELECT COUNT(*) FROM `msg_r` WHERE `user_to` = '$log' AND `read` = '1';");
$new_mail = mysql_result($q, 0);
$w = mysql_query("SELECT COUNT(*) FROM `msg_r` WHERE `user_to` = '$log';");
$old_mail = mysql_result($w, 0);
//////////////
$asd = mysql_query("SELECT time FROM news ORDER BY id DESC LIMIT 1");
$news = mysql_fetch_array($asd);
//////////////
$req = mysql_query("SELECT * FROM `invite` WHERE `usr` = '$log'");
////////////////////////////
$inv=mysql_num_rows($req);
///////////////////
$chat= mysql_num_rows(mysql_query("SELECT * FROM komentarai"));
$tchat= mysql_num_rows(mysql_query("SELECT * FROM tchat"));

$ft=mysql_result(mysql_query("SELECT count(*) FROM `forum_topics`"), 0); // кол-о тем в форуме


$fm=mysql_result(mysql_query("SELECT count(*) FROM `forum_msg`"), 0); // кол-о сообщений в форуме

//////////////


//Модификация главной страницы

echo"<img src='pic/main/sword.png' alt=''/> <i>Нас уже $reg БоГоВ и ТиТаНоВ</i>
</br><img src='pic/main/online.gif' alt='*'/> <i>
В игре: </i>
<a href=\"index.php?mod=online\">$online</a> <i>
БоГоВ.</i>
<br>
";

echo'<img src="pic/main/vopros.png" alt="*"/> <a href="index.php?mod=about">Об игре</a><br/>';
echo'<img src="pic/main/sword2.png" alt="*"/> <a href="rules.php">Начать игру</a><br/>';
echo '<img src="pic/main/vxod.png" alt="*"/> <a href="index.php?mod=enter">Вход</a><br/>';

echo'</div>';

echo'<div class="block"><i>Боги:</i> ';
$a = mysql_num_rows(mysql_query("SELECT * FROM users WHERE storona = 'black'"));
echo $reg-$a;
echo '<br/>';
echo'<i>Титаны:</i> ';
echo $a;


echo'</div>';


echo'</div>';

break;
case 'enter':
if (isset($_GET[error]))
{ echo'<div class="gameBorder">';
echo'<div class="menu">';
echo'<div class="head">Пароль или логин введены не правильно.</div>'; }
echo'<div class="gameBorder">';
echo'<div class="menu">';
echo'<form method="post" action="enter.php">';
echo "<b>Логин:</b><br/>";
echo "<input name=\"log\" maxlength=\"20\" title=\"nick\" emptyok=\"true\"/><br/>";
echo "<b>Пароль:</b><br/>";
echo "<input name=\"pas\"  type=\"password\"  maxlength=\"20\" title=\"password\" emptyok=\"true\"/><br/>";
echo'<input name="mem" type="checkbox" value="1" /> Запомнить меня<br /><br/>';
echo '<input class="button" type="submit" value="Войти"/></form></div></div>';
break;

case 'site':
echo'<div class="gameBorder">';
echo'<div class="menu">';
echo'У вас есть возможность установить на своём сайте нашу игру!<br/>
На все страницах игры будет стоять ссылка "Главная" ведущая на ваш сайт!<br/>
Сделайте ссылку вида:<br/>
<b>http://kollektiv.h2m.ru?site=ВАШ_САЙТ</b><br/>
Где ВАШ_САЙТ адрес вашего сайта без http://<br/>
Скопируйте ссылку:<br/>
<input value="http://kollektiv.h2m.ru?site=ВАШ_САЙТ" name="ssilka"/><br/><div class="foot">
<a href="index.php">Назад</a></div>
';
break;
case 'about':
echo'<div class="gameBorder">';
echo'<div class="menu">';
echo "Время Богов - это игра в которой вы окунётесь в средневековый мир полный опасностей и приклёчений,<br/>
создавайте своего бога и крушите толпы тетанов на пути к победе!<br/>
Станьте лидером клана и приведите его к славе! Либо станьте великим торговцем!<br/>
В этой игре вы можете завести питомца, который будет верным помошником в бою,<br/>
также Вы найдёте здесь нпц и квесты.
<br/> Устраивайте засады на других игроков и победивши заберите его деньги,<br/>
сражайтесь на арене, используйте ауры,свитки, магию,приёмы.<br/>
Захватите со своим кланом город и получайте за это процент от покупаемых вещей в городе.<br/>
И многое другое вы найдёте в этой игре!<br/>

<b>Удачи Боги и титаны!</b></div><div class='foot'>
<a href=\"index.php\">Назад</a></div>";
break;
case 'news':
echo'<div class="gameBorder">';
echo'<div class="menu">';
if ($_GET[page] == "" || $_GET[page] < 0 || $_GET[page] == "0")
{
$_GET[page] = 0;
}
$next = $_GET[page] + 1;
$back = $_GET[page] - 1;
$num = $_GET[page] * 10;
if($_GET[page] == "0")
{$i = 1;}
else{$i = ($_GET[page]*10)+1;}
$viso = mysql_num_rows(mysql_query("SELECT title FROM news"));
$puslap = floor($viso/10);
if (is_double($num) || !is_integer($num))
{
echo "Ошибка!<br/>";
}
else {
$asd = mysql_query("SELECT title, text, time FROM news ORDER BY id DESC LIMIT $num,10");
while($dsa = mysql_fetch_array($asd))
{
$i2 = $i++;
$title = strip_tags($dsa['title']);
$text = strip_tags($dsa['text']);
$time = strip_tags($dsa['time']);
echo "<b>$title</b><small><b>[$time]</b></small><br/>$text<br/>------<br/>";
}
if ($_GET[page] > 0)
{
echo "<a href=\"index.php?mod=news&page=$back\">back</a>";
}
elseif ($_GET[page] == 0)
{
echo "back";
}
echo"|";
if($_GET[page] < $puslap)
{echo "<a href=\"index.php?mod=news&page=$next&\">next</a><br/>";}
else
{echo "next<br/>";}
}
echo'</div>';
echo"<div class='foot'><a href=\"index.php\">Назад</a></div>";
break;
case 'online':
echo'<div class="gameBorder">';
echo'<div class="menu">';
$timeout = time() - 150;
////////////////
$asd = mysql_query("SELECT laikas, usr FROM online WHERE laikas > '$timeout'");
echo "<b>БоГи:</b><br/>";
$i=1;
$avto=mysql_num_rows($asd);
if($avto>=1){
While($visi = mysql_fetch_array($asd))
{
$onl = mysql_fetch_array(mysql_query("SELECT lvl FROM users WHERE usr = '$visi[usr]' LIMIT 1"));

echo "$i. $visi[usr]
[<b>$onl[lvl]</b>]<br/>";
$i++;
}}else{
echo'Нет Богов онлайн!';
}
echo'</div>';
echo"<div class='foot'><a href=\"index.php\">Назад</a></div>";
break;
}
include($path.'files/end.php');
}else{
if($_GET[mod]=='exit'){
$header=TRUE;
}
include($path.'files/head.php');
include($path.'files/zag.php');

switch($_GET[mod]){

default:
//////////
$taim = 150;
$date = time();
$timeout = $date - $taim;
$online = mysql_num_rows(mysql_query("SELECT * FROM online WHERE laikas > '$timeout'"));
////////////////
$q = mysql_query("SELECT COUNT(*) FROM `msg_r` WHERE `user_to` = '$log' AND `read` = '1';");
$new_mail = mysql_result($q, 0);
$w = mysql_query("SELECT COUNT(*) FROM `msg_r` WHERE `user_to` = '$log';");
$old_mail = mysql_result($w, 0);
//////////////
$asd = mysql_query("SELECT time FROM news ORDER BY id DESC LIMIT 1");
$news = mysql_fetch_array($asd);
//////////////
$req = mysql_query("SELECT * FROM `invite` WHERE `usr` = '$log'");
////////////////////////////
$inv=mysql_num_rows($req);
///////////////////
$chat= mysql_num_rows(mysql_query("SELECT * FROM komentarai"));
$tchat= mysql_num_rows(mysql_query("SELECT * FROM tchat"));


$ft=mysql_result(mysql_query("SELECT count(*) FROM `forum_topics`"), 0); // кол-о тем в форуме


$fm=mysql_result(mysql_query("SELECT count(*) FROM `forum_msg`"), 0); // кол-о сообщений в форуме

//////////////
if($udata[prava]>=2){
echo'<d>Управление</d><br/>';
if($udata[prava]>=4){
echo'<a href="adm_panel.php?">[Админ-панель]</a><br/>';
}
if($udata[prava]>=2){
echo'<a href="mod_panel.php?">[Модер-панель]</a><br/>';
}
}
              echo'<div class="end" align="center"><img src="pic/blue.jpg"/></div>';
echo'<d>Приключения</d>';
echo'<br/><img src="pic/main/sword.png" alt=""/> <a href="to_towers.php?">Башни</a>';
echo'<br/><img src="pic/main/arena_sword.png" alt=""/>  <a href="arena.php?">Арены</a>';
echo'<br/><img src="pic/main/portal.gif" alt="*"/> <a href="rydnik.php?">Рудник</a>';
echo'<br/><img src="pic/main/eye.png" alt="*"/> <a href="istok.php?">Источник Жизни</a>';
echo'<br/><img src="pic/main/beer.png" alt=""/> <a href="taverna.php?">Таверна</a> | <a href="index.php?mod=quests">Квесты</a>';
echo'<br/><img src="pic/main/party2.png" alt="*"/> <a href="home.php?">Кланы</a> | <a href="index.php?mod=inv">Приглашения</a>' ;
echo'<d><br/>Торговая площадь</d><br/>';
echo'<img src="pic/main/bazar.gif" alt="*"/> <a href="bazar.php?">Базар</a>';
echo'<br/><img src="pic/main/guilds.png" alt="*"/> <a href="shop.php?">Оружия и доспехов</a>';
echo'<br/><img src="pic/main/money_bag.png" alt="*"/> <a href="shopjuvilir.php?">Ювелирная лавка</a>';
echo'<br/><img src="pic/main/enchant.png" alt="*"/> <a href="shopaura.php?">Ауры</a>';
echo'<br/><img src="pic/main/elik.gif" alt="*"/> <a href="shopelexirs.php?">Элексиры</a>';
echo'<br/><img src="pic/main/pit.gif" alt="*"/> <a href="shoppit.php?">Питомцы</a>';
echo'<br/><img src="pic/main/gold.png" alt="*"/> <a href="lambard.php?">Ломбард</a><br/>';
/// хеппи енд города

echo'<d>Рейтинги</d><br/> ';
echo'<img src="pic/main/slava.gif" alt="*"/> <a href="rating.php?">Зал Славы</a><br/>';


echo'<d>Общение</d><br/>';
echo'<img src="pic/main/truba.gif" alt="*"/> <a href="msg.php?mod=read">Почта </a>('.$new_mail.')<br/>';
echo"<img src='pic/main/main.gif' alt='*'/> <a href=\"forum\">Форум</a> ($ft/$fm)<br/> " ;
echo "<img src='pic/main/pero.gif' alt='*'/> <a href=\"chat.php?\">Общий чат </a>($chat)<br/>" ;
echo "<img src='pic/main/pero.gif' alt='*'/>  <a href=\"tchat.php?\">Торговый </a>($tchat)<br/>" ;
echo "<img src='pic/main/online.gif' alt='*'/> <a href=\"online.php?\">Боги онлайн </a>($online)<br/> " ;
echo "<img src='pic/main/redball.gif' alt='*'/> <a href=\"index.php?mod=adm\">Администрация</a><br/>";

$time=time();
$req = mysql_query("SELECT * FROM `ban` WHERE `ban_time`>'$time'");
////////////////////////////
$banners=mysql_num_rows($req);
echo"<d>Разное</d><br/>";
echo'<img src="pic/main/truba.gif" alt="*"/> <a href="news.php?">Новости</a> ['.$news[time].']<br/>';
echo'<img src="pic/main/alkatrass.png" alt="*"/> <a href="zona.php?">Тюрма</a> ('.$banners.')<br/>';
echo'<img src="pic/main/search.png" alt="*"/> <a href="search.php?">Поиск</a><br/>';
echo'<img src="pic/main/pravila.png" alt="*"/> <a href="index.php?mod=rules">Правила</a><br/>';
echo'<img src="pic/main/pravila.png" alt="*"/> <a href="library.php">Помощь</a><br/>';
echo'<img src="pic/main/exit.png" alt="*"/> <a href="index.php?mod=exit">Выход из игры</a>';

echo'<br/><img src="pic/main/gold.png" alt="*"/> <a href="index.php?mod=ref">Реф. программа</a><br/>';
break;

case 'domin':
$req=mysql_query("SELECT * FROM domination WHERE id = '1'");
$dom = mysql_fetch_assoc($req);
echo'Доминация';echo domin();echo'<br/>';
echo'<img src="pic/main/white.png" alt="*"/>Светлые: '.$dom['white'].' очков<br/>';
echo'<img src="pic/main/black.png" alt="*"/>Тёмные: '.$dom['black'].' очков<br/>';
echo"<a href=\"index.php?\">Назад</a>";
break;
case 'ref':
echo'У вас есть возможность пригласить своих друзей и получить за это вознаграждение!<br/>
Когда ваш друг достигает 5 уровня вы получаете 250 монет и 250 опыта!<br/>
';
echo"<b>Ваша ссылка для приглашений: http://kollektiv.h2m.ru/reg.php?ref=$udata[id]</b><br/>";
echo"<a href=\"index.php?\">Назад</a>";
break;

case 'rules':
echo'<b>Правила для игроков (ЗАПРЕЩЕНО):</b><br/>
1) Применение ненормативной лексики, завуалированого мата, оскорбление в:<br/>
* чате;<br/>
* форуме;<br/>
* названии клана;<br/>
* нике персонажа;<br/>
* личных сообщениях;
<br/>2) Проявления религиозной, расовой, половой и прочей нетерпимости или дискриминации.
<br/>3) Разжигание конфликтов между участниками игры!
<br/>4) Преднамеренное многократное повторение сообщений, сообщения лишенные смысла (флуд).
<br/>5) Верхний регистр при общении.
<br/>6) Расспостранение ссылок на посторонние ресурсы, реклама посторонних интернет - ресурсов, как прямая так и косвенная!
<br/>7) Нечестная прокачка игрового персонажа, использование сторонних програмных средств для улучшения/автоматизации игровых возможностей!
Использование недочетов игры, багов, програмных ошибок, расспостранение их другим лицам/продажа за деньги.
<br/>P. S. При нахождении таковых немедленно сообщите Администрации, за что можете получить вознаграждение.
<br/>8) Продажа персонажа, игровых денег, вещей и прочего, что касается игры, за реальные деньги, равно как и попытка совершить одно из данных действий, в обход Администрации!
<br/>9) Намеренная регистрация персонажей с никами - плагиатами ников Администрации/модераторов, с никами несущими рекламу посторонних интернет- ресурсов.
Использование приставок Admin, GM, в имени персонажа, названии клана, звании персонаажа!
<br/>10) Обман/ввод в заблуждение/дача ложных показаний/отказ в сотрудничестве при разбирательстве/угрозы Администрации/модераторам!
<br/>11) Обсуждать, перечить действиям, оскорблять Администрацию/модераторов, игровой сервер!
<br/>12) После наказания нарушителя правил, заведомое создание персонажей, или уже существующими персонажами вести подальшие разборки.
<br/>13) Просьбы о назначении на должность модератора!
<br/>Вы обязуетесь выполнять рекомендации/замечания которые делает вам Администратор, модератор.<br/>
<b>Незнание правил не освобождает от ответственности!</b><br/>';
echo"<a href=\"index.php?\">Назад</a>";
break;

case 'adm':
echo '<b>Администрация игры</b><br/>';
// Супервайзоры
$req = mysql_query("SELECT * FROM `users` WHERE `prava` = '5'");
if (mysql_num_rows($req)) {
echo '<b>Главные администраторы:</b><br/>';
$i=1;
While($res = mysql_fetch_array($req)){
echo"$i. <b><a href=\"search.php?nick=$res[usr]&go=go\">$res[usr]</a></b><br/>";
$i++;
}
}
// Администраторы
$req = mysql_query("SELECT * FROM `users` WHERE `prava` = '4'");
if (mysql_num_rows($req)) {
echo'<b>Администраторы:</b><br/>';
$i=1;
While($res = mysql_fetch_array($req)){
echo"$i. <b><a href=\"search.php?nick=$res[usr]&go=go\">$res[usr]</a></b><br/>";
$i++;
}
}else{
echo"";
}
// Старшие Модераторы
// Администраторы
$req = mysql_query("SELECT * FROM `users` WHERE `prava` = '3'");
if (mysql_num_rows($req)) {
echo '<b>Старшие Модераторы:</b><br/>';
$i=1;
While($res = mysql_fetch_array($req)){
echo"$i. <b><a href=\"search.php?nick=$res[usr]&go=go\">$res[usr]</a></b><br/>";
$i++;
}
}else{
echo"";
}
// Модераторы
$req = mysql_query("SELECT * FROM `users` WHERE `prava` = '2'");
if (mysql_num_rows($req)) {
echo '<b>Модераторы:</b><br/>';
$i=1;
While($res = mysql_fetch_array($req)){
echo"$i. <b><a href=\"search.php?nick=$res[usr]&go=go\">$res[usr]</a></b><br/>";
$i++;
}
}else{
echo"";
}
echo"<a href=\"index.php?\">Назад</a>";
break;
case 'inv':
$req = mysql_query("SELECT * FROM `invite` WHERE `usr` = '$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){
if($avto>=1){
While($inv = mysql_fetch_array($req))
{
$req = mysql_query("SELECT `name` FROM `clan` WHERE `lider` = '$inv[clan]'");
$clan = mysql_fetch_array($req);

echo"<a href=\"index.php?mod=inv&id=$inv[id]\"><b>Приглашение от клана $clan[name]</b></a><br/>";
}
echo"<br/><b>Всего приглашений: $avto</b><br/>";
}else{
echo"<b>Нет приглашений!</b>";
}}else{
$req = mysql_query("SELECT * FROM `invite` WHERE `usr` = '$log' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого приглашения!';
include"files/down.php";exit;
}
$inv = mysql_fetch_array($req);

$req = mysql_query("SELECT `name` FROM `clan` WHERE `lider` = '$inv[clan]'");
$clan = mysql_fetch_array($req);
if(empty($_GET[go])){
echo"Отправитель: <b>$clan[name]</b><br/>";
echo"Текст: $inv[text]<br/>";

echo"<a href=\"index.php?mod=inv&id=$_GET[id]&go=ok\">Принять</a><br/>";
echo"<a href=\"index.php?mod=inv&id=$_GET[id]&go=no\">Отказаться</a><br/>";
echo"<a href=\"index.php?mod=inv\">Назад</a>";
}else{
if($_GET[go]==ok){
if(!empty($udata[clan])){
echo'Вы уже находитесь в клане!';
include"files/down.php";exit;
}
mysql_query("DELETE FROM `invite` WHERE usr='$log' and `id`='$_GET[id]'");
mysql_query("UPDATE `users` SET `clan`='$inv[clan]' WHERE `usr` = '$log'");

echo"Приглашение принято.Вы вступили в клан $clan[name]!<br/>";

}elseif($_GET[go]==no){

mysql_query("DELETE FROM `invite` WHERE usr='$log' and `id`='$_GET[id]'");

echo"Приглашение отклонено.<br/>";
}else{
echo"Ошибка!<br/>";
}
echo"<a href=\"index.php?mod=inv\">Назад</a>";
}
}
break;
case 'quests':
if($_GET[act]==start){
$req = mysql_query("SELECT * FROM `userquests` WHERE `usr` = '$log' and `status`='start'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет квестов!';
include"files/down.php";exit;
}
if(empty($_GET[id])){
While($q = mysql_fetch_array($req))
{
$reqo = mysql_query("SELECT * FROM `quests` WHERE `id` = '$q[quest]'");
$quest = mysql_fetch_array($reqo);
echo"<a href=\"index.php?mod=quests&act=start&id=$q[id]\"><b>Квест $quest[name]</b></a><br/>";
}
}else{
$req = mysql_query("SELECT * FROM `userquests` WHERE `usr` = '$log' and `status`='start' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого квеста!';
include"files/down.php";exit;
}
$q = mysql_fetch_array($req);
$req = mysql_query("SELECT * FROM `quests` WHERE `id` = '$q[quest]'");
$quest = mysql_fetch_array($req);
echo"<b>$quest[name]</b><br/>";
echo"<b>Задание:</b>$quest[mission]<br/>";
echo"Статус: [<b>Активен</b>]<br/>";
}

}elseif($_GET[act]==complete){
$req = mysql_query("SELECT * FROM `userquests` WHERE `usr` = '$log' and `status`='complete'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет квестов!';
include"files/down.php";exit;
}
if(empty($_GET[id])){
While($q = mysql_fetch_array($req))
{
$reqo = mysql_query("SELECT * FROM `quests` WHERE `id` = '$q[quest]'");
$quest = mysql_fetch_array($reqo);
echo"<a href=\"index.php?mod=quests&act=complete&id=$q[id]\"><b>Квест $quest[name]</b></a><br/>";
}
}else{
$req = mysql_query("SELECT * FROM `userquests` WHERE `usr` = '$log' and `status`='complete' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого квеста!';
include"files/down.php";exit;
}
$q = mysql_fetch_array($req);
$req = mysql_query("SELECT * FROM `quests` WHERE `id` = '$q[quest]'");
$quest = mysql_fetch_array($req);
echo"<b>$quest[name]</b><br/>";
echo"<b>Задание:</b>$quest[mission]<br/>";
echo"Статус: [<b>Завершён</b>]<br/>";
}
}else{
echo"<a href=\"index.php?mod=quests&act=start\">Активные</a><br/>";
echo"<a href=\"index.php?mod=quests&act=complete\">Завершёные</a><br/>";
}
echo"<a href=\"index.php?\">Назад</a>";
break;
case 'exit':
setcookie('log', '');
setcookie('pas', '');
session_destroy();
header ('Location: index.php?');exit;

break;
}
include($path.'files/down.php');
}
?>



<b>Мир БоГоВ (c)  2012 by_[Hoolugan]</b><br/>
<a href="http://mpedia.ru/ins7871"><img src="http://mpedia.ru/stcm7871.gif" alt="mpedia top sites"/></a>